## org.gnu.gtk
Class MenuDirectionType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.MenuDirectionType

public class MenuDirectionType
extends org.gnu.glib.Enum

Represents directional movements within a menu.

     PARENT
     To the parent menu shell
     CHILD
     To the submenu, if any, associated with the menu
     NEXT
     To the next menu item
     PREV
     To the previous menu item

Field Summary
`static MenuDirectionType` `CHILD`
`static MenuDirectionType` `NEXT`
`static MenuDirectionType` `PARENT`
`static MenuDirectionType` `PREV`

Method Summary
`MenuDirectionType` `and(MenuDirectionType other)`
`static MenuDirectionType` `intern(int value)`
`MenuDirectionType` `or(MenuDirectionType other)`
`boolean` `test(MenuDirectionType other)`
`MenuDirectionType` `xor(MenuDirectionType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARENT

    public static final MenuDirectionType PARENT

### CHILD

    public static final MenuDirectionType CHILD

### NEXT

    public static final MenuDirectionType NEXT

### PREV

    public static final MenuDirectionType PREV

Method Detail

### intern

    public static MenuDirectionType intern(int value)

### or

    public MenuDirectionType or(MenuDirectionType other)

### and

    public MenuDirectionType and(MenuDirectionType other)

### xor

    public MenuDirectionType xor(MenuDirectionType other)

### test

    public boolean test(MenuDirectionType other)